if(CMAKE_CROSSCOMPILING)
  return()
endif()

if(MYX_CMAKE_LSB_RELEASE)
  return()
endif()

set(MYX_CMAKE_LSB_DISTRIBUTOR_ID "unknown")
set(MYX_CMAKE_LSB_CODENAME "unknown")
set(MYX_CMAKE_LSB_RELEASE "unknown")

if(EXISTS /etc/mcst_version)
  set(MYX_CMAKE_LSB_DISTRIBUTOR_ID "ElbrusD")
  set(MYX_CMAKE_LSB_CODENAME "Jessie")
  execute_process(
    COMMAND cat /etc/mcst_version
    OUTPUT_VARIABLE MYX_CMAKE_LSB_RELEASE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
else()
  find_program(_lsb_release_executable lsb_release)
  # cmake-format: off
  if(_lsb_release_executable)
    execute_process(COMMAND ${_lsb_release_executable} -si OUTPUT_VARIABLE MYX_CMAKE_LSB_DISTRIBUTOR_ID OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process(COMMAND ${_lsb_release_executable} -sc OUTPUT_VARIABLE MYX_CMAKE_LSB_CODENAME OUTPUT_STRIP_TRAILING_WHITESPACE)
    execute_process(COMMAND ${_lsb_release_executable} -sr OUTPUT_VARIABLE MYX_CMAKE_LSB_RELEASE OUTPUT_STRIP_TRAILING_WHITESPACE)
  # cmake-format: on
  endif()
endif()
